| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs
rect.h File Reference
`#include "irrTypes.h"`
`#include "dimension2d.h"`
`#include "position2d.h"`

Go to the source code of this file.

## Classes

- class irr::core::rect< T >
    Rectangle template. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

- typedef rect< f32 > irr::core::rectf
    Rectangle with float values.
- typedef rect< s32 > irr::core::recti
    Rectangle with int values.